<?php

namespace Litecms\Bannedips\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BannedIpTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Bannedips\Models\BannedIp $banned_ip)
    {
        return [
            'id'                => $banned_ip->getRouteKey(),
            'key'               => [
                'public'    => $banned_ip->getPublicKey(),
                'route'     => $banned_ip->getRouteKey(),
            ], 
            'ip'                => $banned_ip->ip,
            'status'            => $banned_ip->status,
            'url'               => [
                'public'    => trans_url('bannedips/'.$banned_ip->getPublicKey()),
                'user'      => guard_url('bannedips/banned_ip/'.$banned_ip->getRouteKey()),
            ], 
            'status'            => trans('app.'.$banned_ip->status),
            'created_at'        => format_date($banned_ip->created_at),
            'updated_at'        => format_date($banned_ip->updated_at),
        ];
    }
}